package com.eactive.eai.common.pushinfo;

public class PushInfoDetailVO {
	public enum Result { success, fail}; 
	
	private String guid;
	private String userId;
	private String sessionId;
	private String instanceId;
	private String wsocRemoteAddr;
	private Result pushResult;
	private String errorContent;
	//YYYYMMDDHHMI24SS
	private String pushDatetime;
	
	public PushInfoDetailVO() {
	
	}
	public PushInfoDetailVO(String guid) {
		this.guid = guid;
	}

	public PushInfoDetailVO(String guid, String userId, String sessionId, String instanceId, String wsocRemoteAddr,
			Result pushResult, String errorContent, String pushDatetime) {
		this.guid = guid;
		this.userId = userId;
		this.sessionId = sessionId;
		this.instanceId = instanceId;
		this.wsocRemoteAddr = wsocRemoteAddr;
		this.pushResult = pushResult;
		this.errorContent = errorContent;
		this.pushDatetime = pushDatetime;
	}


	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getInstanceId() {
		return instanceId;
	}

	public void setInstanceId(String instanceId) {
		this.instanceId = instanceId;
	}


	public String getWsocRemoteAddr() {
		return wsocRemoteAddr;
	}

	public void setWsocRemoteAddr(String wsocRemoteAddr) {
		this.wsocRemoteAddr = wsocRemoteAddr;
	}

	public Result getPushResult() {
		return pushResult;
	}
	public String getPushResultInfo() {
		return pushResult==null?"":pushResult.toString();
	}
	
	public void setPushResult(Result pushResult) {
		this.pushResult = pushResult;
	}

	public String getErrorContent() {
		return errorContent;
	}

	public void setErrorContent(String errorContent) {
		this.errorContent = errorContent;
	}

	public String getPushDatetime() {
		return pushDatetime;
	}

	public void setPushDatetime(String pushDatetime) {
		this.pushDatetime = pushDatetime;
	}

	@Override
	public String toString() {
		return "PushInfoDetailVO [guid=" + guid + ", userId=" + userId + ", sessionId=" + sessionId + ", instanceId="
				+ instanceId + ", wsocRemoteAddr=" + wsocRemoteAddr + ", pushResult=" + pushResult + ", errorContent="
				+ errorContent + ", pushDatetime=" + pushDatetime + "]";
	}
	
	
}
